Package fr.gouv.vitam.logbook.common.server.database.collections

# Enum Class LogbookMongoDbName

java.lang.Object
java.lang.Enum<LogbookMongoDbName>
fr.gouv.vitam.logbook.common.server.database.collections.LogbookMongoDbName

All Implemented Interfaces:
  `Serializable`, `Comparable<LogbookMongoDbName>`, `Constable`

public enum LogbookMongoDbName extends Enum<LogbookMongoDbName>
Enum with all possible logbook parameters
Use to set parameter value and to check emptiness or nullity

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `agentIdentifier`
  agentIdentifier
  `agentIdentifierApplication`
  agentIdentifierApplication
  `agentIdentifierApplicationSession`
  agentIdentifierApplicationSession
  `agentIdentifierPersonae`
  agentIdentifierApplication
  `agIdExt`
  agencies details
  `eventDateTime`
  eventDateTime
  `eventDetailData`
  eventDetailData
  `eventIdentifier`
  eventIdentifier
  `eventIdentifierProcess`
  eventIdentifierProcess
  `eventIdentifierRequest`
  eventIdentifierRequest
  `eventType`
  eventType
  `eventTypeProcess`
  eventTypeProcess
  `objectIdentifier`
  objectIdentifier
  `objectIdentifierIncome`
  objectIdentifierIncome
  `objectIdentifierRequest`
  objectIdentifierRequest
  `outcome`
  outcome
  `outcomeDetail`
  outcomeDetail
  `outcomeDetailMessage`
  outcomeDetailMessage
  `parentEventIdentifier`
  parentEventIdentifier
  `rightsStatementIdentifier`
  rightsStatementIdentifier

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getDbname()`
  `static final LogbookMongoDbName`
  `getFromDbname(String name)`
  `static final LogbookMongoDbName`
  `getLogbookMongoDbName(LogbookParameterName name)`
  `final LogbookParameterName`
  `getLogbookParameterName()`
  `static LogbookMongoDbName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LogbookMongoDbName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### eventIdentifier

    public static final LogbookMongoDbName eventIdentifier
    eventIdentifier

  - ### parentEventIdentifier

    public static final LogbookMongoDbName parentEventIdentifier
    parentEventIdentifier

  - ### eventType

    public static final LogbookMongoDbName eventType
    eventType

  - ### eventDateTime

    public static final LogbookMongoDbName eventDateTime
    eventDateTime

  - ### eventDetailData

    public static final LogbookMongoDbName eventDetailData
    eventDetailData

  - ### eventIdentifierProcess

    public static final LogbookMongoDbName eventIdentifierProcess
    eventIdentifierProcess

  - ### eventTypeProcess

    public static final LogbookMongoDbName eventTypeProcess
    eventTypeProcess

  - ### outcome

    public static final LogbookMongoDbName outcome
    outcome

  - ### outcomeDetail

    public static final LogbookMongoDbName outcomeDetail
    outcomeDetail

  - ### outcomeDetailMessage

    public static final LogbookMongoDbName outcomeDetailMessage
    outcomeDetailMessage

  - ### agentIdentifier

    public static final LogbookMongoDbName agentIdentifier
    agentIdentifier

  - ### agentIdentifierApplication

    public static final LogbookMongoDbName agentIdentifierApplication
    agentIdentifierApplication

  - ### agentIdentifierPersonae

    public static final LogbookMongoDbName agentIdentifierPersonae
    agentIdentifierApplication

  - ### agentIdentifierApplicationSession

    public static final LogbookMongoDbName agentIdentifierApplicationSession
    agentIdentifierApplicationSession

  - ### eventIdentifierRequest

    public static final LogbookMongoDbName eventIdentifierRequest
    eventIdentifierRequest

  - ### agIdExt

    public static final LogbookMongoDbName agIdExt
    agencies details

  - ### rightsStatementIdentifier

    public static final LogbookMongoDbName rightsStatementIdentifier
    rightsStatementIdentifier

  - ### objectIdentifier

    public static final LogbookMongoDbName objectIdentifier
    objectIdentifier

  - ### objectIdentifierRequest

    public static final LogbookMongoDbName objectIdentifierRequest
    objectIdentifierRequest

  - ### objectIdentifierIncome

    public static final LogbookMongoDbName objectIdentifierIncome
    objectIdentifierIncome

- ## Method Details

  - ### values

    public static LogbookMongoDbName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LogbookMongoDbName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDbname

    public final String getDbname()
    Returns:
      the corresponding dbname

  - ### getLogbookParameterName

    public final LogbookParameterName getLogbookParameterName()
    Returns:
      the corresponding `LogbookParameterName`

  - ### getLogbookMongoDbName

    public static final LogbookMongoDbName getLogbookMongoDbName(LogbookParameterName name)
    Parameters:
      `name` - as `LogbookParameterName`
    Returns:
      the corresponding `LogbookMongoDbName`

  - ### getFromDbname

    public static final LogbookMongoDbName getFromDbname(String name)
    Parameters:
      `name` - as db field name
    Returns:
      the corresponding `LogbookMongoDbName`